Subject: protea
From: [email-masked] (Michael Lewis)
Date: 29 May 1994 16:56:51 GMT
Newsgroups: alt.sustainable.agriculture

Howdy all.  I am interested in getting the locations, in California where 
Proteas will grow.  Any names and contacts would be appreciated as well 
as any Protea Association numbers or addresses.  Currently living in 
Republic of South Africa and will be moving to California shortly. 
Thanks  in advance.

____________________                 ________         ,__o   -yaheayah!
|                    \              /        \___      \ <,
| Michael L. Lewis    \___________/ E-mail:      \__(*)/__0____
|                      \        /    [email-masked] \__
|  Univ. of California, \    /       [email-masked]    \_
|  Santa Barbara.        \                                          \
|__________________________\        Work: (805)681-5213              \_
                            \        FAX: (805)681-5413                |
                              \     Home: (805)683-1758 + message      |
                               \_______________________________________|